/*
	README

	This file should only be used to style structure of the widget. It should not
	contain fonts or theme styling. Use the shared_theme.css for that purpose.

	If simply theming the CCL, leave this file alone.

	If your design is very customized, edit this file as needed. 
*/

.core-hero-slideshow {
	--text-container-width: var(--width-comfortable);

	position: relative;
}

.core-hero-slideshow .slider-cont {
	position: relative;
}

.core-hero-slideshow .content-section {
	padding: var(--space-5);
	position: absolute;
	left: 0;
	bottom: var(--space-12);
	pointer-events: none;
	display: grid;
}

@media (min-width: 40em) {
	.core-hero-slideshow .content-section {
		max-width: var(--text-container-width);
		left: var(--space-5);
		bottom: var(--space-12);
	}
}
@media (min-width: 64em) {
	.core-hero-slideshow .content-section {
		left: var(--space-10);
	}
}

.core-hero-slideshow .slide-title {
	pointer-events: none;
	margin-bottom: var(--space-2);
	width: 80%;
}

@media (min-width: 40em) {
	.core-hero-slideshow a .slide-title,
	.core-hero-slideshow .slide-title {
		width: 80%;
	}
}

.core-hero-slideshow .description {
	padding-bottom: var(--space-5);
}

.core-hero-slideshow .slide .slide-footer {
	margin: 0;
	position: absolute;
	left: var(--space-5);
	bottom: var(--space-10);
}
.core-hero-slideshow .slide .slide-footer .read-more {
	pointer-events: all;
	padding: 0;
	margin: 0;
}


@media (min-width: 40em) {
	.core-hero-slideshow .slide .slide-footer {
		bottom: var(--space-10);
		left: var(--space-5);
	}

	.core-hero-slideshow .slide p.description {
		max-width: 58ch;
		font-size: var(--text-lg);
	}
}

@media (min-width: 40em) {
	.core-hero-slideshow .slide .slide-footer {
		left: var(--space-10);
	}
}
@media (min-width: 64em) {
	.core-hero-slideshow .slide .slide-footer {
		left: 60px;
	}
}

.core-hero-slideshow .arrows-cont .glide__arrows {
	position: absolute;
	bottom: var(--space-6);
	right: 0;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 9px;
	padding: 0 var(--space-5);
	pointer-events: none;
	z-index: 1;
}

@media (min-width: 40em) {
	.core-hero-slideshow .arrows-cont .glide__arrows {
		bottom: var(--space-8);
	}
} 

@media (min-width: 64em) {
	.core-hero-slideshow .arrows-cont .glide__arrows {
		right: var(--space-10);
	}
} 